Restart, stop, or start a virtual server (VPS)

Start, stop, or restart a virtual server (VPS). The endpoint returns a jobId to track the operation's status.

VPS Services Monitoring & Jobs

Context

Used in the dashboard

/ /instance/[id]

Where to get IDs / values

Workflow links

Produces

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
action string · enum required · Example: start
restart
shutdown
start
stop
force boolean · Example: true

Responses

200
data object required
data.action string · enum required · Example: start
restart
shutdown
start
stop
data.estimated_time integer required · Example: 30
data.jobId string required · Example: start-17122-1768986364277
data.message string required · Example: start operation queued

Human-readable message.

data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/vm/{vmid}/status
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/vm/10000/status" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "action": "start"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "action": "start",
    "jobId": "start-17122-1768986364277",
    "message": "start operation queued",
    "estimated_time": 30
  }
}
Request Body start
{
  "action": "start"
}